# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'walid/version'

Gem::Specification.new do |spec|
  spec.name          = 'walid'
  spec.version       = Walid::VERSION
  spec.authors       = ['Łukasz Niemier']
  spec.email         = ['lukasz@niemier.pl']
  spec.summary       = 'Extra ActiveRecord validators.'
  spec.description   = <<-DOC
  Set of ActiveRecord validators for stuff like e-mails,
  URIs, post codes, etc.
  DOC
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(/^bin\//) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(/^(test|spec|features)\//)
  spec.require_paths = ['lib']

  spec.add_dependency 'activemodel', '~> 4.1'
  spec.add_dependency 'parslet', '~> 1.6.1'

  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.4.0'
end
